<?php
namespace Claromentis\Core\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_c244a470df52d1d5a7085138ec" . "94e393" => base64_decode("dW5zZXJpYW" . "xpemU="), "_96be32a" . "6f44bf54" . "e635e173" . "6acf7a96" . "c" => base64_decode("c2VyaWFsaX" . "pl"), "_b497ce6f2af10f675" . "16aed0ecf34d8cf" => base64_decode("ZGlz" . "cGF0" . "Y2hl" . "cg=="));
use Claromentis\Common\ApplicationMiscellany\Finisher;
use Symfony\Component\EventDispatcher\Event;
use Symfony\Component\EventDispatcher\EventDispatcher as BaseEventDispatcher;




class EventDispatcher extends BaseEventDispatcher implements EventDispatcherInterface
{
    
    
    
    
    protected $finisher;
    
    
    
    
    public function __construct(Finisher $_fea16585ee8de2b835a68ccd4bc60aef)
    {
        $this->finisher = $_fea16585ee8de2b835a68ccd4bc60aef;
    }
    
    
    
    
    public static function Shared()
    {
        global $g_application;
        return $g_application[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_b497ce6f2af10f67516aed0ecf34d8c" . "f"]];
    }
    
    
    
    
    
    
    
    
    
    public function dispatch($_2cf093f28f4c7e718a5e8af628894c7b, Event $event = null, bool $_46d17db0bd1ac920366ce3e210c240c1 = false)
    {
        if (!$_46d17db0bd1ac920366ce3e210c240c1) {
            return parent::dispatch($_2cf093f28f4c7e718a5e8af628894c7b, $event);
        } else {
            $_a6a149597bf68ad5294d98abc0bda72b = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_96be32a6f44bf54e63" . "5e1736acf7a96c"]($event);
            $this->finisher->FinishHim(function ($request, $_fd5a3a643834299cbdadfc3540ba0bcb) use($_2cf093f28f4c7e718a5e8af628894c7b, $_a6a149597bf68ad5294d98abc0bda72b) {
                $event = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c244a470df52d1d5a708513" . "8ec94e393"]($_a6a149597bf68ad5294d98abc0bda72b);
                $this->dispatch($_2cf093f28f4c7e718a5e8af628894c7b, $event, false);
            });
            
            
            
            return null;
        }
    }
}